<?php
define ( 'FRONTPAGE', '1' );
error_reporting ( E_ALL ^ E_NOTICE ^ E_WARNING );
//var_dump($_SERVER);


//应为www.tg.com.cn首页跳转的临时解决方案
if ($_SERVER ['HTTP_HOST'] == 'www.tg.com.cn') {
	$url = $_SERVER ['REQUEST_URI'];
	if ($url) {
		$parts = parse_url ( $url );
		if (is_array ( $parts )) {
			$path = $parts ['path'];
			if (trim ( $path ) == '/') {
				include (dirname ( __FILE__ ) . "/component/php/www.tg/index.inc.php");
			}
		}
	}
}

function show_cache_page() {
	$url = $_SERVER ['REQUEST_URI'];
	if ($url) {
		$parts = parse_url ( $url );
		if (is_array ( $parts )) {
			$site = trim ( $_SERVER ['HTTP_HOST'] );
			if ($site == 'jia.com') {
				$site = 'www.jia.com';
			}
			
			$path = $parts ['path'];
			$path_rev = strrev ( $path );
			$config = null;
			include (dirname ( __FILE__ ) . "/application/config/memcached.php");
			$memcache_config = $config ['memcached'];
			$mc = new Memcache ();
			$mc->connect ( $memcache_config ['server'], $memcache_config ['port'] );
			$flag = null;
			$key_content = ($site . $path);
			$key_ab = "abtest_$key_content";
			$ab_conf = $mc->get ( $key_ab, $flag );
			if ($ab_conf) {
				//print_r ( $ab_conf );
				$rand_int = rand ( 0, 100 );
				//echo $rand_int;
				if ($rand_int > $ab_conf ['ab_valve']) {
					$key_content = ($site . $ab_conf ['ab_page_url']);
					$_GET ['page_id'] = $ab_conf ['ab_page_id'];
				}
			}
			$content = $mc->get ( $key_content, $flag );
			
			if ($content) {
				echo base64_decode ( $content );
				flush ();
				//print ($content) ;
				//var_dump ( microtime () );
				$mc->close ();
				return true;
			}
			$mc->close ();
		}
	}
	return false;
}

if (show_cache_page ()) {
	//echo __FILE__;
} else {
	$_GET ['c'] = 'page';
	include (dirname ( __FILE__ ) . "/index.php");
}
//end.
//echo "<!--generated by tg.cms;",time(),"-->";
return;
